 var repAmortPptoService = function($filter, $http, $q){
	 return{
		 repAmortizacionPpto : function(fecha){
				var defered = $q.defer();
			
				$http({
					method : "POST",
		            url : contextPath + '/reporte/amortizacionppto/obtenerReporteAmortPpto.action',
		            data :{"fecha":fecha}
				}).then(function mySucces(response) {
					
					       defered.resolve(response.data);
				
				}, function myError(response) {
				});
				
		    	return defered.promise;
		 },
		 descargaReporte: function(mes){
	        	
				var defered = $q.defer();	
					
				$http.get(contextPath + '/reporte/amortizacionppto/descargaReporte.action?mes='+ mes,{headers: {'Content-Type': "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",'accept':"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"}})
				.success(function(data, status, headers) {
							
					headers = headers();					
					window.open(contextPath + '/reporte/amortizacionppto/descargaReporte.action?mes='+ mes);
					
					defered.resolve(data);
					
				}).error(function(data,err) {
					defered.reject(data,err);
					showError("Se gener\u00F3 un error al intentar exportar el archivo de excel - Reporte Amoritzaci\u00F3n -.");
				});
				
		    	return defered.promise;
			},
			descargarArchivoExcel: function(dataIn2){
				
				var defered = $q.defer();		
					
				$http.post(contextPath + '/reporte/amortizacionppto/descargaObjArchivo.action', dataIn2, {responseType : 'arraybuffer'})
				.success(function(data, status, headers) {
								
					headers = headers();					
			        var filename    = headers['content-disposition'].split(";")[1].split("=")[1];					
			        var contentType = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet";
			 
			        var linkElement = document.createElement('a');
			        try {
			            var blob = new Blob([data], { type: contentType });
			            var url = window.URL.createObjectURL(blob);
			 
			            linkElement.setAttribute('href', url);
			            linkElement.setAttribute("download", filename);
			 
			            var clickEvent = new MouseEvent("click", {
			                "view": window,
			                "bubbles": true,
			                "cancelable": false
			            });
			            linkElement.dispatchEvent(clickEvent);  
					   
			        } catch (ex) {
			        }
					
					defered.resolve(data);
				}).error(function(data,err) {
					
					defered.reject(data,err);
					showError("Se gener\u00F3 un error al intentar exportar el archivo de excel.");
				});
				
		    	return defered.promise;
			}
	 };
 };
 
 registraService("repAmortPptoService", repAmortPptoService);